#ifndef _RTP_DRV_H_
#define _RTP_DRV_H_

#include "type.h"

#include "tp_drv.h"

u8 I2C_BufferWrite(u8* pBuffer, u8 WriteAddr, u16 NumByte);
u8 I2C_BufferRead(u8* pBuffer, u8 ReadAddr, u16 NumByte);

void LT_TpSaveAdjdata(void);
UINT8 LT_TpGetAdjdata(void);

extern UINT8 gt911flag;
extern UINT8 cjt540flag;
extern UINT8 ft5216flag;
extern UINT8 CTP_ADDR;

extern UINT8 Yp_Pulldown_Flag;
extern UINT8 RTP_read_Flag;
extern UINT16 RTP_time;

extern UINT16 Get_ADC_Val(UINT8 ADC_Channel_x);
extern void ADC_Initial(void);
extern bool PenDown_Detect(void);

#endif
